## visad.data.amanda
Class AmandaFile

    java.lang.Object
      visad.data.amanda.AmandaFile

public class AmandaFile
extends Object

Field Summary
`static RealType` `moduleIndexType`
`static RealTupleType` `xyzType`

Constructor Summary
`AmandaFile(String id)`
`AmandaFile(URL url)`

Method Summary
`Event` `getEvent(int index)`
`int` `getNumberOfEvents()`
`double` `getXMax()`
`double` `getXMin()`
`double` `getYMax()`
`double` `getYMin()`
`double` `getZMax()`
`double` `getZMin()`
`FieldImpl` `makeEventData()`
`FlatField` `makeModuleData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### moduleIndexType

    public static final RealType moduleIndexType

### xyzType

    public static RealTupleType xyzType

Constructor Detail

### AmandaFile

    public AmandaFile(String id)
               throws BadFormException,
                      IOException,
                      VisADException

### AmandaFile

    public AmandaFile(URL url)
               throws BadFormException,
                      IOException,
                      VisADException

Method Detail

### getEvent

    public final Event getEvent(int index)

### getNumberOfEvents

    public final int getNumberOfEvents()

### getXMax

    public final double getXMax()

### getXMin

    public final double getXMin()

### getYMax

    public final double getYMax()

### getYMin

    public final double getYMin()

### getZMax

    public final double getZMax()

### getZMin

    public final double getZMin()

### makeEventData

    public final FieldImpl makeEventData()

### makeModuleData

    public final FlatField makeModuleData()
                                   throws RemoteException,
                                          VisADException

  Throws:
    `RemoteException`
    `VisADException`